--- title: "Get monitoring detailed results" slug: "management-wms-scriptstart" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/management-wms-scriptstart" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get monitoring detailed results Available in Classic and VPC Get the detailed results of monitoring services. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/scenarios/{scenarioId}/results/{resultId} | ### Request headers For information about the headers common to all Web service Monitoring System APIs, see [Web service Monitoring System request headers](/docs/en/management-wms#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `scenarioId` | Integer | Required | Scenario ID - See [Get monitoring list](/docs/en/management-wms-scripts) | | `resultId` | Integer | Required | Monitoring result ID - See [Get monitoring results](/docs/en/management-wms-scriptresult) | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `type` | String | Required | Monitoring result data type - `RAW` \| `MIN5` \| `MIN30` \| `MIN30` - `RAW`: all - `MIN5`: 5-minute aggregation - `MIN30`: 30-minute aggregation - `HOUR2`: 2-hour aggregation - `DAY1`: 1-day aggregation | ### Request example The request example is as follows: ``` curl --location --request GET 'https://wms.apigw.ntruss.com/api/v1/scenarios/{scenarioId}/results/{resultId}?type=MIN5' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `avgLoadTime` | Integer | - | Average page load time (millisecond) | | `avgRunTime` | Integer | - | Average scenario execution time (millisecond) | | `successCount` | Integer | - | Number of normal monitoring results - Criteria: query period | | `errorCount` | Integer | - | Number of errors in monitoring results - Criteria: query period | | `totalCount` | Integer | - | Total number of monitoring results - Criteria: query period | | `availability` | Integer | - | Service availability - Criteria: query period | | `results` | Array | - | Monitoring detailed results: [results](/docs/en/management-wms-scriptstart#results) | #### `results` The following describes `results`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `_id` | String | - | Monitoring result ID | | `scenarioId` | Integer | - | Scenario ID | | `locationTypeCodes` | String | Optional | Country where the monitoring measurement agent is located - `KR` \| `USW` \| `JP` \| `SG` \| `DE` - `KR`: Korea - `USW`: United States (West) - `JP`: Japan - `SG`: Singapore - `DE`: Germany - Separate with comma (,) when selecting more than one | | `resultStatus` | String | Optional | Monitoring result - `SUCCESS` \| `ERROR` - `SUCCESS`: success - `ERROR`: failure | | `avgLoadTime` | Integer | - | Average page load time (millisecond) | | `avgRunTime` | Integer | - | Average scenario execution time (millisecond) | | `collectTime` | Long | - | Scenario aggregation base time - Unix timestamp format | | `stime1d` | Long | - | Scenario aggregation base date - Unix timestamp format | | `successCount` | Integer | - | Number of normal monitoring results - Criteria: query period | | `errorCount` | Integer | - | Number of errors in monitoring results - Criteria: query period | | `totalCount` | Integer | - | Total number of monitoring results - Criteria: query period | | `stime5m` | Long | - | Scenario aggregation base time (5 minutes) | | `stime30m` | Long | - | Scenario aggregation base time (30 minutes) | | `stime2h` | Long | - | Scenario aggregation base time (2 hours) | | `startTime` | Long | - | Scenario start time | | `endTime` | Long | - | Scenario end time | | `transactions` | Array | - | Scenario step execution results: [transactions](/docs/en/management-wms-scriptstart#transactions) | #### `transactions` The following describes `transactions`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `stepId` | Integer | - | Monitoring scenario step ID | | `name` | String | - | Monitoring scenario step name | | `resultStatus` | String | - | Monitoring scenario step execution result - `SUCCESS` \| `ERROR` - `SUCCESS`: success - `ERROR`: failure | | `startTime` | Long | - | Monitoring scenario step start time - Unix timestamp format | | `endTime` | Long | - | Monitoring scenario step end time - Unix timestamp format | | `logs` | Array | - | Monitoring scenario step execution result logs: [logs](/docs/en/management-wms-scriptstart#logs) | #### `logs` The following describes `logs`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Error code | | `harPath` | String | - | HAR file path | | `imagePath` | String | - | Image file path | | `msg` | String | - | Error message | | `time` | Long | - | Error occurrence time - Unix timestamp format | | `type` | String | - | Error detection type | ### Response status codes For information about the HTTP status codes common to all Web service Monitoring System APIs, see [Web service Monitoring System response status codes](/docs/en/management-wms#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "avgLoadTime": 1472, "avgRunTime": 3587, "successCount": 5, "errorCount": 0, "totalCount": 5, "availability": 100, "results": [ { "_id": "609286c23ca80f493050370e", "scenarioId": 1, "locationTypeCode": "KR", "resultStatus": "SUCCESS", "avgLoadTime": 1463, "avgRunTime": 3571, "collectTime": 1620215460000, "stime1d": 1620140400000, "successCount": 1, "errorCount": 0, "totalCount": 1, "stime5m": 1620215700000, "stime30m": 1620216000000, "stime2h": 1620219600000, "startTime": 1620215485512, "endTime": 1620215489083, "transactions": [ { "transactionId": 35, "name": "NAVER Cloud", "resultStatus": "SUCCESS", "startTime": 1620215485512, "endTime": 1620215489083, "steps": [ { "stepId": 82, "name": "URL connection", "resultStatus": "SUCCESS", "startTime": 1620215485527, "endTime": 1620215486990, "logs": [] }, { "stepId": 83, "name": "Mouse click", "resultStatus": "SUCCESS", "startTime": 1620215486993, "endTime": 1620215487566, "logs": [] }, { "stepId": 84, "name": "Wait time", "resultStatus": "SUCCESS", "startTime": 1620215487568, "endTime": 1620215488567, "logs": [] }, { "stepId": 85, "name": "Text input", "resultStatus": "SUCCESS", "startTime": 1620215488569, "endTime": 1620215489082, "logs": [] } ] } ] }, {...} ] } ```